<template>
  <div class="stat-display" :style="`background-color: ${color}`">
    <div>
      <p>{{ bookLeft.title }}</p>
      <p>{{ bookLeft.nbPages }}</p>
      <book-cover :book="bookLeft" />
    </div>
    <div>
      <p>{{ bookRight.title }}</p>
      <p>{{ bookRight.nbPages }}</p>
      <book-cover :book="bookRight" />
    </div>
  </div>
</template>

<script setup>

const props = defineProps({
  bookLeft: {
    type: Object,
    required: true,
  },
  bookRight: {
    type: Object,
    required: true,
  },
  image: {
    type: String,
    required: true,
  },
  color: {
    type: String,
    default: "var(--main-color)",
  },
});
</script>

<style scoped>
.stat-display {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 30vw;
  height: 150px;
  border-radius: 10px;
  color: var(--main-color-lighter);
  font-size: 1.5rem;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
  overflow: hidden;
  position: relative;
}
.stat-image {
  position: absolute;
  top: 0%;
  left: 20%;
  width: 100%;
  opacity: 0.1;
}
</style>